using UnityEngine;
using IStalk.Data;

namespace IStalk.Core
{
    public class GameBoot : MonoBehaviour
    {
        [SerializeField] private GlobalRules_SO _globalRules;

        private static bool _initialized;

        private void Awake()
        {
            if (_initialized)
            {
                Destroy(gameObject);
                return;
            }
            _initialized = true;
            DontDestroyOnLoad(gameObject);

            _globalRules.Initialize();
        }
    }
}
